var lookAtTarget : Transform;  //定义lookAtTarget的属性为待定物体

function Update()
{
	transform.LookAt(lookAtTarget);     //该物体看向物体lookAtTarget
	
	if((Mathf.Abs(transform.position.x)>18)||(Mathf.Abs(transform.position.z)>18)||(Mathf.Abs(transform.position.x)<1.6)&&(Mathf.Abs(transform.position.z)<1.6)) //限定该物体的位置
	{
		transform.position.x = -3; //若超出限定位置，将其移动到初始位置（-3，Y，0）处
		transform.position.z = 0;
	}
}